%global _empty_manifest_terminate_build 0
Name:           perl-DBD-MariaDB
Version:        1.21
Release:        3
Summary:        MariaDB and MySQL driver for the Perl5 Database Interface (DBI)
License:        GPL+ or Artistic
Group:          Development/Libraries
# upstream: https://github.com/gooddata/DBD-MariaDB/
URL:            http://search.cpan.org/dist/DBD-MariaDB/
Source0:        http://www.cpan.org/authors/id/P/PA/PALI/DBD-MariaDB-%{version}.tar.gz
BuildRequires:  perl >= 0:5.008001
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl(bigint)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(DBI) >= 1.608
BuildRequires:  perl(DBI::Const::GetInfoType)
BuildRequires:  perl(Encode)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::More) >= 0.90
BuildRequires:  perl(Time::HiRes)
BuildRequires:  perl(utf8)
BuildRequires:  perl(warnings)
BuildRequires:  perl(Devel::CheckLib)
BuildRequires:  mariadb-devel
BuildRequires:  gcc
Requires:       perl(DBI) >= 1.608
Requires:       perl(strict)
Requires:       perl(warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
%description
DBD::MariaDB is the Perl5 Database Interface driver for MariaDB and MySQL
databases. In other words: DBD::MariaDB is an interface between the Perl
programming language and the MariaDB/MySQL programming API that comes with
the MariaDB/MySQL relational database management system. Most functions
provided by this programming API are supported. Some rarely used functions
are missing, mainly because no-one ever requested them. :-)
%package help
Summary : MariaDB and MySQL driver for the Perl5 Database Interface (DBI)
Provides: perl-DBD-MariaDB-doc
%description help
DBD::MariaDB is the Perl5 Database Interface driver for MariaDB and MySQL
databases. In other words: DBD::MariaDB is an interface between the Perl
programming language and the MariaDB/MySQL programming API that comes with
the MariaDB/MySQL relational database management system. Most functions
provided by this programming API are supported. Some rarely used functions
are missing, mainly because no-one ever requested them. :-)
%prep
%setup -q -n DBD-MariaDB-%{version}
%build
export PERL_MM_OPT=""
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
export PERL_MM_OPT=""
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

pushd %{buildroot}
touch filelist.lst
if [ -d usr/bin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ];then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib ];then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
popd
mv %{buildroot}/filelist.lst .
%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files -f filelist.lst
%defattr(-,root,root,-)
%doc Changes Changes.historic LICENSE META.json
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/DBD*
%files help
%{_mandir}/*

%changelog
* Sat Aug 07 2021 zhangtao2020 <zhangtao221@huawei.com> 1.21-3
- fix build error

* Mon Jul 26 2021 bzhaoop <bzhaojyathousandy@gmail.com> 1.21-2
- Refactor build requires for gcc

* Thu Jun 17 2021 Perl_Bot <Perl_Bot@openeuler.org> 1.21-1
- Specfile autogenerated by Perl_Bot
